nsfs.h File Reference

Deals with general Seifert fibred spaces. More...

`#include <list>`
`#include "regina-core.h"`
`#include "nmanifold.h"`

## Classes

struct | regina::NSFSFibre
| Represents an exceptional (alpha, beta) fibre in a Seifert fibred space. More...
class | regina::NSFSpace
| Represents a general Seifert fibred space, which may be orientable or non-orientable. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NSFSFibre &f)
| Writes the given fibre in human-readable format to the given output stream. More...

## Detailed Description

Deals with general Seifert fibred spaces.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).